/*
 *  MailCheck (WWWC̃vOC)
 *
 *  pop3.h
 *
 *  Writen by Masaru Tsuchiyama <m.tsutsu@gmail.com>
 */
#ifndef _POP3_H_
#define _POP3_H_

#include "misc.h"

#define POP3_MENU_CNT     1
#define BUFSIZE         512
#define RECV_BUFSIZE    (40 * 1024)
#define TIMEOUT         60

enum POP_STATE{
    POP3_CONNECT,
    POP3_USER,
    POP3_PASS,
    POP3_APOP,
    POP3_LIST,
    POP3_STAT,
    POP3_TOP,
    POP3_LAST,
    POP3_QUIT,
    POP3_UIDL
};

struct TPPOP3{
    char szServer[BUFSIZE];
    char szUser[BUFSIZE];
    char szPass[BUFSIZE];
    BOOL bUseAPOP;
    short nPort;    // T[o[̃|[g(ʂ110)

    char HostEnt[MAXGETHOSTSTRUCT];
    enum POP_STATE state;
    int nReadMail,nMail;

    BOOL bRetCode;
    enum POP_ERR ErrCode;
    char *szTimeStamp;  //APOPdigest̂

    char *szBuf;    // f[^Mpobt@
    int nBufSize;   // f[^Mpobt@̃TCY
    int nDataSize;  // obt@Ɋi[Ăf[^̃TCY
    BOOL bMultiLine;

    char *szUIDL;
	unsigned long Version;	// WWWC̃o[W
};

BOOL ParseParameter(struct TPITEM *tpItemInfo, struct TPPOP3 *tpPOP3);
void SaveOption(struct TPITEM *tpItemInfo, struct TPPOP3 *tpPOP3);


#endif //#ifndef _POP3_H_
